com.sun.jna.platform.win32.COM

## Class ConnectionPoint

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.ConnectionPoint

All Implemented Interfaces:
  NativeMapped, IConnectionPoint, IUnknown

    public class ConnectionPoint
    extends Unknown
    implements IConnectionPoint

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

`Unknown.ByReference`

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IConnectionPoint

`IID_IConnectionPoint`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionPoint(Pointer pointer)`

### Method Summary

All Methods Instance Methods Concrete Methods

`WinNT.HRESULT`

`Advise(IUnknownCallback pUnkSink, WinDef.DWORDByReference pdwCookie)`
When Advise is called, the called COM object will callback 'QueryInterface' asking for a number of different interfaces, for example: - {00000003-0000-0000-C000-000000000046} - IMarshal - {00000003-0000-0000-C000-000000000046} - {0000001B-0000-0000-C000-000000000046} - IdentityUnmarshal - {00000000-0000-0000-C000-000000000046} - IUnknown - {00000018-0000-0000-C000-000000000046} - IStdMarshalInfo - {00000019-0000-0000-C000-000000000046} - IExternalConnection - {4C1E39E1-E3E3-4296-AA86-EC938D896E92} - (some unknown private interface) - interface of this ConnectionPoint `HRESULT Advise( [in] IUnknown *pUnkSink, [out] DWORD *pdwCookie );`

`(package private) void` `EnumConnections()`
`WinNT.HRESULT` `GetConnectionInterface(Guid.IID iid)`
`(package private) void` `GetConnectionPointContainer()`
`WinNT.HRESULT` `Unadvise(WinDef.DWORD dwCookie)`

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Constructor Detail

#### ConnectionPoint

    public ConnectionPoint(Pointer pointer)

### Method Detail

#### GetConnectionInterface

    public WinNT.HRESULT GetConnectionInterface(Guid.IID iid)

Specified by:
  `GetConnectionInterface` in interface `IConnectionPoint`
Returns:
  interface pointer

#### GetConnectionPointContainer

    void GetConnectionPointContainer()

#### Advise

    public WinNT.HRESULT Advise(IUnknownCallback pUnkSink,
                                WinDef.DWORDByReference pdwCookie)

Description copied from interface: `IConnectionPoint`
When Advise is called, the called COM object will callback 'QueryInterface' asking for a number of different interfaces, for example: - {00000003-0000-0000-C000-000000000046} - IMarshal - {00000003-0000-0000-C000-000000000046} - {0000001B-0000-0000-C000-000000000046} - IdentityUnmarshal - {00000000-0000-0000-C000-000000000046} - IUnknown - {00000018-0000-0000-C000-000000000046} - IStdMarshalInfo - {00000019-0000-0000-C000-000000000046} - IExternalConnection - {4C1E39E1-E3E3-4296-AA86-EC938D896E92} - (some unknown private interface) - interface of this ConnectionPoint `HRESULT Advise( [in] IUnknown *pUnkSink, [out] DWORD *pdwCookie );`

Specified by:
  `Advise` in interface `IConnectionPoint`
Returns:
  status

#### Unadvise

    public WinNT.HRESULT Unadvise(WinDef.DWORD dwCookie)

Specified by:
  `Unadvise` in interface `IConnectionPoint`
Returns:
  status

#### EnumConnections

    void EnumConnections()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.